package com.fs.delivery.service;

import java.util.List;
import com.fs.delivery.domain.CtArticle;

/**
 * 文章Service接口
 * 
 * @author fs
 * @date 2026-01-20
 */
public interface ICtArticleService 
{
    /**
     * 查询文章
     * 
     * @param id 文章主键
     * @return 文章
     */
    public CtArticle selectCtArticleById(Long id);

    /**
     * 查询文章列表
     * 
     * @param ctArticle 文章
     * @return 文章集合
     */
    public List<CtArticle> selectCtArticleList(CtArticle ctArticle);

    /**
     * 新增文章
     * 
     * @param ctArticle 文章
     * @return 结果
     */
    public int insertCtArticle(CtArticle ctArticle);

    /**
     * 修改文章
     * 
     * @param ctArticle 文章
     * @return 结果
     */
    public int updateCtArticle(CtArticle ctArticle);

    /**
     * 批量删除文章
     * 
     * @param ids 需要删除的文章主键集合
     * @return 结果
     */
    public int deleteCtArticleByIds(Long[] ids);

    /**
     * 删除文章信息
     * 
     * @param id 文章主键
     * @return 结果
     */
    public int deleteCtArticleById(Long id);
}
